
#pragma once

#include "DisasmDlg.h"

class CDisasmView : public CDockablePane
{
		DECLARE_DYNAMIC(CDisasmView)

		CDisasmDlg m_dlgDisasmView;

	public:
		CDisasmView();
		virtual ~CDisasmView();

		void AdjustLayout();

		inline CDisasmDlg *getContainObj()
		{
			return &m_dlgDisasmView;
		}

		inline CDisasmCtrl *GetDisasmCtrl()
		{
			return m_dlgDisasmView.GetDisasmCtrl();
		}

	protected:


	public:
		afx_msg void OnPaint();
	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnSetFocus(CWnd *pOldWnd);
		DECLARE_MESSAGE_MAP()
};

